[급]제발도와주세요 ..ㅠ freetds 입니다

지금 서버에 우분투를 설치하고 . 리눅스에 freetds 0.82.1.dev.2009.04.04 를 다운받아
인스톨을 하엿습니다.
그리고 윈도우의 ms sql 2008를 access 하려고 하는데
아무리 어떤 글을 뒤져봐도 잘 모르겠습니다.
제발 좀 도와주세요 … 아주 급한 상황이에요

root@police-desktop:/usr/local/freetds/etc# tsql -S xxx.xxx.xxx.xxx -U administrator -p 1433 -P xhdgkq_1
locale is "ko_KR.UTF-8"
locale charset is "UTF-8"
3Msg 20009, Level 9, State -1, Server OpenClient, Line -1
Unable to connect: Adaptive Server is unavailable or does not exist
There was a problem connecting to the server

tsql로 접근을하려면 다음과 같은 메세지가 출력됩니다.
그리고 /usr/local/freetd/etc 밑에 있는 freetds.conf 파일의 설정 내용입니다.

$Id: freetds.conf,v 1.12 2007/12/25 06:02:36 jklowden Exp $

This file is installed by FreeTDS if no file by the same

name is found in the installation directory.

For information about the layout of this file and its settings,

see the freetds.conf manpage "man freetds.conf".

Global settings are overridden by those in a database

server specific section

[global]
# TDS protocol version
; tds version = 8.2

    # Whether to write a TDSDUMP file for diagnostic purposes
    # (setting this to /tmp is insecure on a multi-user system)

; dump file = /tmp/freetds.log
; debug flags = 0xffff

    # Command and connection timeouts

; timeout = 10
; connect timeout = 10

    # If you get out-of-memory errors, it may mean that your client
    # is trying to allocate a huge buffer for a TEXT field.
    # Try setting 'text size' to a more reasonable limit
    text size = 64512

A typical Sybase server

[egServer50]
host = symachine.domain.com
port = 5000
tds version = 5.0

A typical Microsoft server

[egServer70]
host = xxx.xxx.xxx.xxx
port = 1433
tds version = 8.2

또 tsql -C 를 입력했을 때 나오는 내용 입니다.

Compile-time settings (established with the "configure" script)
Version: freetds v0.82.1.dev.20090404
freetds.conf directory: /usr/local/etc
MS db-lib source compatibility: no
Sybase binary compatibility: no
Thread safety: yes
iconv library: yes
TDS version: 5.0
iODBC: no
unixodbc: no

고수님들 제발 도와주세요 …ㅜㅜ

잘 모릅니다만,

현재 사용하시는 TDS는 버전이 5.0이네요.
5.0은 MS-SQL2000 이전 버전인, SQl 서버 7과의 연결을 지원해줍니다.

TDS 버전 9.0이 MS-SQL 2005까지 지원하는 것으로 알고 있는데
TDS 프로토콜 버전을 최신으로 구해서 시도해보세요.

그리고 되도록이면 암호화된 연결은 하지 않도록해보세요.
암호화된 연결(encryped connection)이 제대로 지원 안된다고 하네요.